Send file through the HTTP response.

- « Swoole\Http\Response::rawcookie

- Swoole\Http\Response::status »

- PHP Manual
- Swoole\Http\Response
- Send file through the HTTP response.

# Swoole\Http\Response::sendfile

(PECL swoole >= 1.9.0)

Swoole\Http\Response::sendfile — Send file through the HTTP response.

### Description

public Swoole\Http\Response::sendfile(string `$filename`, int `$offset` = ?): ReturnType

Send file through the HTTP response.

### Parameters

`filename`

`offset`

### Return Values